[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ValEdit' (#lcl)

# TValueListEditor.InsertRowWithValues

Inserts a row with the specified values at the specified position.

## Declaration

Source position: valedit.pas line 189

`public procedure TValueListEditor.InsertRowWithValues(`
`Index: Integer;`
`Values: array of string`
`);`

## Arguments

`Index` |  | Position for the inserted row.
`Values` |  | Array with the key name and value for the inserted row.

## Description

InsertRowWithValues is a procedure used to insert a row with the specified values at the specified row number in the control. Index contains the position in Strings where the new row is inserted.

Values is an array of Strings with the Key name and value for the inserted row. Values should contain two elements in the array. The first is the key name. The second is the item value. The second array element can be omitted, and defaults to an empty string (''). Additional elements present in the array are not used in the method.

InsertRowWithValues inserts the key name and value in Strings at the specified position using the "Key=Value" convention used in the control.

Use InsertRow to insert a new row using separate key and item value parameters.

## See also

TValueListEditor.Strings |  | Stores the keys, values, and item definitions in the control.
TValueListEditor.InsertRow |  | Inserts a row at the specified position.